apiVersion: v1
kind: Secret
metadata:
  name: central-storage-config
  namespace: {{ .Release.Namespace }}
type: Opaque
data:
  TZ: {{ .Values.centralStorage.configs.tz | b64enc | quote }}
  APP_NAME: {{ .Values.centralStorage.configs.appName | b64enc | quote }}
  SERVICE_API_ACCESS_HOST: {{ .Values.centralStorage.configs.serviceApiAccessHost | b64enc | quote }}
  SERVICE_API_ACCESS_PORT: {{ .Values.centralStorage.configs.serviceApiAccessPort | toString | b64enc }}
  MONGODB_NAME: {{ .Values.centralStorage.configs.mongodbName | b64enc | quote }}
  MONGODB_PORT: {{ .Values.centralStorage.configs.mongodbPort | toString | b64enc }}
  MONGODB_URI: {{ .Values.centralStorage.configs.mongodbUri | b64enc | quote }}
  AZURE_STORAGE_DOCUMENT_API_KEY: {{ .Values.centralStorage.configs.azureStorageDocumentApiKey | b64enc | quote }}
  AZURE_STORAGE_DOCUMENT_API_ENDPOINT: {{ .Values.centralStorage.configs.azureStorageDocumentApiEndpoint | b64enc | quote }}
  